## newlib 2.1.0

=== debian/changelog ===
newlib (2.1.0-3) unstable; urgency=medium

  * Fix unowned directory after purge (Closes: #736685)
  * Add newlib-source package requested by (Luca Bruno) the maintainer of the
    msp430 toolchain

 -- Agustin Henze <tin@debian.org>  Mon, 27 Jan 2014 14:41:39 -0300

newlib (2.1.0-2) unstable; urgency=medium

  * Fix missing directory (Closes: #734551)
  * FTBFS install target doesn't work in parallel (Closes: #735145)
  * Remove interwork support

 -- Agustin Henze <tin@debian.org>  Wed, 15 Jan 2014 14:32:39 -0300

newlib (2.1.0-1) unstable; urgency=medium

  * Missing "/" in debian/watch file
  * Imported Upstream version 2.1.0
  * Remove patches applied to documentation
  * Patch fix wrong path to libgloss/config/default.mh
  * Enable interwork support
  * Patch to build documentation
  * Add paths as default C standard library using update-alternatives

 -- Agustin Henze <tin@debian.org>  Fri, 03 Jan 2014 14:18:37 -0300

newlib (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Closes: #729441).
    * Packages removed (libnewlib0, newlib-spu, newlib-m68hc1x, newlib-source)
    * New package libnewlib-arm-none-eabi
    * debian/rules rewrited

 -- Agustin Henze <tin@debian.org>  Tue, 12 Nov 2013 08:13:24 -0300

newlib (1.18.0-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: cannot find the library `sys/linux/liblinux.la' or
    unhandled argument `sys/linux/liblinux.la'": add patch from Ubuntu:
    [ Wookey ]
    * Fix build to work with co-installable (multiarched) linux-libc-dev 
      headers.  LP: #750585.
    [ Steve Langasek ]
    * add a versioned build-dependency on linux-libc-dev and dpkg-dev for the
      hard-coded multiarch paths.
    (And adjust versions for linux-libc-dev and dpkg-dev.)    
    (Closes: #654257)
  * Update lintian-override syntax (thanks, Salvatore Bonaccorso).

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Jan 2012 19:59:54 +0100

newlib (1.18.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends on lzma as it is explicitly used in debian/rules causing
    FTBFS if missing (Closes: #598277, #608378). Thanks to Loic Minier and
    Jakub Wilk.
  * Remove Matthias Klose <doko@debian.org> from Uploaders as requested on
    #debian-release on IRC. 

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 30 Dec 2010 22:43:59 +0100

newlib (1.18.0-6) unstable; urgency=low

  * Restrict libnewlib-dev to amd64 armel i386 ia64 powerpc sparc.
  * Bump Standards-Version to 3.9.1.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 01 Aug 2010 13:38:04 +0000

newlib (1.18.0-5) unstable; urgency=low

  * Make libnewlib-dev Depends on libnewlib0 on i386 only.  Closes: #573765.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 18 Apr 2010 12:28:23 +0000

newlib (1.18.0-4) unstable; urgency=low

  * Backport from Ubuntu:
    - Build with -fno-stack-protector -U_FORTIFY_SOURCE.
    - 61_newlib_arm_include.patch, 62_long_double_infinity.patch: Add.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 26 Feb 2010 21:51:50 +0000

newlib (1.18.0-3) unstable; urgency=low

  * debian/rules: Don't set CC in spu configure flags.

 -- Arthur Loiret <aloiret@debian.org>  Thu, 25 Feb 2010 14:20:00 +0000

newlib (1.18.0-2) unstable; urgency=low

  * Build the shared lib on i386 only.
  * Bump Standards-Version to 3.8.4.

 -- Arthur Loiret <aloiret@debian.org>  Wed, 24 Feb 2010 18:25:37 +0000

newlib (1.18.0-1) unstable; urgency=low

  * New upstream release.
    - Don't put a tarball in the tarball anymore.  Closes: #538563.
    - Don't build newlib-mingw32 anymore.  Closes: #542269.
  * debian/rules: Update accordingly.
  * debian/control:
    - Bump Standards-Version to 3.8.3.
    - Fix newlib-m68hc1x's short description.  Closes: #556962.

 -- Arthur Loiret <aloiret@debian.org>  Tue, 23 Feb 2010 18:37:09 +0000

newlib (1.17.0-3) unstable; urgency=low

  * debian/rules: Fix mingw32 prefix.  Closes: #528027.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 15 Aug 2009 09:54:51 +0000

newlib (1.17.0-2) unstable; urgency=low

  * Disable parallel build (fails for the spu build).
  * Configure the spu build with --host=powerpc-linux-gnu, not =spu.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Apr 2009 11:33:03 +0100

newlib (1.17.0-1) unstable; urgency=low

  * New upstream release.
  * Merge from Ubuntu (Loic Minier):  Closes: #513595.
    - Use quilt to apply debian/patches; build-dep on quilt.
    - New patch, 60_newlib-libgloss-eabi, set objtype to elf for
      armel/arm-linux-gnueabi; fixes installation for this target.
      Run autoreconf -fi && rm -rf autom4te.cache.
    - Install debian/patches/* in /usr/src/newlib/patches.
  * Build m68hc1x and win32 versions in arch-indep target.
  * Improve packages description.  Closes: #511635.
  * Fix configure flags.

 -- Arthur Loiret <aloiret@debian.org>  Mon, 13 Apr 2009 14:33:01 +0000

newlib (1.16.0+cvs20081207-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream snapshot, taken from CVS 20081207.
    - Update overrides files.
  * debian/control: Update Matthias's mail address.
  * debian/rules:
    - Don't run parallel build by default.
    - Fix configure for targets.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Sun, 07 Dec 2008 15:45:47 +0000

newlib (1.16.0-2.1) unstable; urgency=low

  * NMU.
  * newlib-spu: Add a symlink for the gcc-snapshot sysroot.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Nov 2008 18:10:24 +0100

newlib (1.16.0-3) experimental; urgency=low

  * Upload to experimental.
  * Build a newlib-m68hc1x and a newlib-mingw32 package:
    - newlib-m68hc1x Recommends gcc-m68hc1x.
    - newlib-mingw32 Recommends mingw32.
    - Install m68hc1x in /usr/m68hc11/.
    - Install mingw32 in /usr/lib/newlib/i586-mingw32msvc/.
  * newlib-m68hc1x.overrides, newlib-mingw32.overrides: Add.
  * Build again main libnewlib0 and libnewlib-dev packages:
    - Install in /usr/lib/newlib/.
  * debian/control:
    - Add new packages.

