=== debian/watch ===
version=3

opts=pasv \
ftp://sources.redhat.com/pub/newlib/ newlib-(.*)\.tar\.gz
