## newlib 2.1.0+git20140818.1a8323b

=== debian/changelog ===
newlib (2.1.0+git20140818.1a8323b-2) unstable; urgency=medium

  [ Thomas Preud'homme ]
  * Enable newlib nano formatted IO feature for the size optimized version.

 -- Agustin Henze <tin@debian.org>  Thu, 04 Sep 2014 09:54:47 -0300

newlib (2.1.0+git20140818.1a8323b-1) unstable; urgency=medium

  * New upstream snapshot:
    + Drop merged patches.
  * Add support for newlib-nano: build size optimized version of newlib and
    ship it alongside the speed optimized one.

 -- Thomas Preud'homme <thomas.preudhomme@arm.com>  Mon, 18 Aug 2014 07:35:46 +0000

newlib (2.1.0-6) unstable; urgency=medium

  * Update patches from upstream repository
  * Add recommends on libstdc++-arm-none-eabi-newlib at
    libnewlib-arm-none-eabi package
  * Add bdepends on libisl-dev and libcloog-isl-dev

 -- Agustin Henze <tin@debian.org>  Fri, 13 Jun 2014 17:54:58 -0300

newlib (2.1.0-5) unstable; urgency=medium

  * Update patches from upstream repository

 -- Agustin Henze <tin@debian.org>  Tue, 25 Feb 2014 10:09:17 -0300

newlib (2.1.0-4) unstable; urgency=medium

  * Applying patches from upstream repository

 -- Agustin Henze <tin@debian.org>  Thu, 20 Feb 2014 14:25:48 -0300
