## newlib 2.1.0+git20141201.db59ff3

=== debian/changelog ===
newlib (2.1.0+git20141201.db59ff3-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Agustin Henze <tin@debian.org>  Tue, 02 Jun 2015 15:20:32 -0300

newlib (2.1.0+git20141201.db59ff3-2) unstable; urgency=medium

  [ Agustin Henze ]
  * Fix mismatched version between libnewlib-arm-none-eabi and libnewlib-dev
    (Closes: #778242)

  [ Jim Paris ]
  * Add usr include newlib nano to search path in nano.s. Ship nano/newlib.h
    (Closes: #778248)

 -- Agustin Henze <tin@debian.org>  Tue, 19 May 2015 09:26:28 -0300

newlib (2.1.0+git20141201.db59ff3-1) experimental; urgency=medium

  * New upstream snapshot
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Mon, 01 Dec 2014 14:25:47 -0300
