=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  xz-utils,
  libisl-dev,
  libcloog-isl-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://sourceware.org/newlib/
 Vcs-Git: git://anonscm.debian.org/collab-maint/newlib.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/newlib.git
@@ -46,7 +46,7 @@
 Package: libnewlib-arm-none-eabi
 Architecture: all
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnewlib-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnewlib-dev (= ${binary:Version})
 Recommends: gcc-arm-none-eabi, libstdc++-arm-none-eabi-newlib
 Suggests: libnewlib-doc
 Description: C library and math library compiled for bare metal using Cortex A/R/M
