## newlib 3.0.0.20180802

=== debian/changelog ===
newlib (3.0.0.20180802-2) unstable; urgency=medium

  * Fix autopkg*tests*

 -- Agustin Henze <tin@debian.org>  Sun, 12 Aug 2018 12:59:53 +0200

newlib (3.0.0.20180802-1) unstable; urgency=medium

  * Remove debian/gbp.conf, using gbp default values
  * New upstream version 3.0.0.20180802
  * Allow (autopkg)tests run as a regular user

 -- Agustin Henze <tin@debian.org>  Sun, 12 Aug 2018 10:22:33 +0200

newlib (2.4.0.20160527-5) unstable; urgency=medium

  [ Agustin Henze ]
  * Add initial pipeline
  * Disable reproducible check on gci because it runs out of memory :(
  * Bum standard version to 4.2.0 (no changes needed)
  * Remove newlib-source package
  * Update Vcs fields pointing to salsa
  * Change deprecated priority extra to optional
  * Fix testsuite-dependency-has-unparsable-elements "\n @"
  * Update lintian overrides
  * [d/rules] Remove variables defined by hand

  [ Salsa Pipeline Bot ]
  * Update pipeline

 -- Agustin Henze <tin@debian.org>  Tue, 07 Aug 2018 10:29:25 +0200

newlib (2.4.0.20160527-4) unstable; urgency=medium

  * Remove explicit build-dependency on libisl-dev

 -- Agustin Henze <tin@debian.org>  Thu, 05 Apr 2018 10:08:49 -0300

newlib (2.4.0.20160527-3) unstable; urgency=medium

  * Bumped Standard-Version to 4.1.0 (no changes required)
  * Add missing build dependency on rename
  * Rebuilt using gcc-6.3

 -- Agustin Henze <tin@debian.org>  Wed, 20 Sep 2017 13:44:21 -0300
