=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: newlib
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -10,13 +10,13 @@
  dejagnu,
  gcc-arm-none-eabi,
  xz-utils,
- libisl-dev,
  libcloog-isl-dev,
  quilt,
-Standards-Version: 3.9.6
+ rename,
+Standards-Version: 4.2.0
 Homepage: https://sourceware.org/newlib/
-Vcs-Git: git://anonscm.debian.org/collab-maint/newlib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/newlib.git
+Vcs-Git: https://salsa.debian.org/debian/newlib.git
+Vcs-Browser: https://salsa.debian.org/debian/newlib
 
 Package: libnewlib-dev
 Architecture: all
@@ -57,14 +57,3 @@
  .
  This package contains the newlib library compiled for Cortex-A*,
  Cortex-R4/R5/R7 and Cortex-M0/M0+/M3/M4 targets.
-
-Package: newlib-source
-Architecture: all
-Recommends: xz-utils
-Depends: ${misc:Depends}
-Description: C library and math library intended for use on embedded systems (source)
- Newlib is a C library and math library intended for use on embedded systems.
- It is a conglomeration of several library parts, all under free software
- licenses that make them easily usable on embedded products.
- .
- This package contains the newlib library source tarball.
