## newlib 3.1.0.20181231

=== debian/changelog ===
newlib (3.1.0.20181231-1) unstable; urgency=medium

  * New upstream version 3.1.0.20181231
  * Remove b-dependency on libcloog-isl-dev (Closes: #921852)

 -- Agustin Henze <tin@debian.org>  Mon, 11 Feb 2019 06:19:52 +0000

newlib (3.0.0.20180831-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Agustin Henze ]
  * New upstream version 3.0.0.20180831

 -- Agustin Henze <tin@debian.org>  Sat, 01 Dec 2018 12:48:02 +0100
