## newlib 3.3.0

=== debian/changelog ===
newlib (3.3.0-1) unstable; urgency=medium

  [ Agustin Henze ]
  * [watch] Use http because ftp is not supported for salsa runners

  [ Joaquin de Andres ]
  * Move ci yml to standard name
  * Salsa ci yml actualization
  * Gbp config for pristintar, auto dch and auto merge
  * New upstream version 3.3.0

 -- Joaquin de Andres <me@xcancerberox.com.ar>  Sat, 29 Feb 2020 14:35:41 +0100
