=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  dejagnu,
  gcc-arm-none-eabi,
  xz-utils,
- libcloog-isl-dev,
  quilt,
  rename,
 Standards-Version: 4.2.0
