=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,9 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
-DVERSION := $(shell dpkg-parsechangelog | grep ^Version | sed -e 's/^Version: //')
-UVERSION := $(shell echo $(DVERSION) | cut -d- -f1)
-P_SRC := debian/newlib-source
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
+
 TARGET := arm-none-eabi
 
 TOP_DIR := $(shell pwd)
@@ -37,11 +35,11 @@
 	--target=$(TARGET) \
 	--prefix=/usr/lib \
 	--libdir=/usr/lib \
-	--infodir=/usr/share/doc/$(PACKAGE_NAME)/info \
+	--infodir=/usr/share/doc/$(DEB_SOURCE)/info \
 	--mandir=/usr/share/man \
-	--htmldir=/usr/share/doc/$(PACKAGE_NAME)/html \
-	--pdfdir=/usr/share/doc/$(PACKAGE_NAME)/pdf \
-	--with-pkgversion=$(DVERSION) \
+	--htmldir=/usr/share/doc/$(DEB_SOURCE)/html \
+	--pdfdir=/usr/share/doc/$(DEB_SOURCE)/pdf \
+	--with-pkgversion=$(DEB_VERSION) \
 	--disable-newlib-supplied-syscalls \
 	--disable-nls \
 	$(TARGET_TOOLS)
@@ -70,7 +68,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf $(BUILD_DIR) $(BUILD_NANO_DIR) $(TMP_NANO_DIR) $(P_SRC)
+	rm -rf $(BUILD_DIR) $(BUILD_NANO_DIR) $(TMP_NANO_DIR)
 
 override_dh_auto_configure:
 	dh_auto_configure -B$(BUILD_DIR) -- $(CONFIGURE_FLAGS)
@@ -96,11 +94,6 @@
 	mkdir -p $(TMP_DIR)/usr/lib/$(TARGET)/include/nano
 	mv $(TMP_NANO_DIR)/usr/lib/$(TARGET)/include/newlib.h \
            $(TMP_DIR)/usr/lib/$(TARGET)/include/nano/newlib.h
-	#
-	# Build newlib-source package
-	mkdir -p $(P_SRC)/usr/src/newlib
-	cp ../newlib_$(UVERSION).orig.tar.xz $(P_SRC)/usr/src/newlib/newlib-$(UVERSION).tar.xz
-	[ -d debian/patches ] && cp -r debian/patches $(P_SRC)/usr/src/newlib/patches || true
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
