## newlib 4.4.0.20231231

=== debian/changelog ===
newlib (4.4.0.20231231-4) unstable; urgency=medium

  * sh: add missing prototypes and change functions from K&R to ANSI,
    taken from newlib trunk. Closes: #1074608.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 11:46:51 +0200

newlib (4.4.0.20231231-3) unstable; urgency=medium

  * Adopt the package for the Debian GCC Maintainers. Closes: #1066964.
  * amdgcn: Implement proper locks, taken from newlib trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Mar 2024 13:03:01 +0100

newlib (4.4.0.20231231-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 08 Mar 2024 07:19:10 +0100

newlib (4.4.0.20231231-1) experimental; urgency=medium

  * QA upload.
  * Orphan package with approval from the current maintainer.

  [ Vagrant Cascadian ]
  * debian/rules: Pass arguments to tar for consistency (Closes: #1037427)

  [ Petter Reinholdtsen ]
  * New upstream version 4.4.0.20231231
   - Fixes CVE-2021-3420 (Closes: #984446).
   - Fixes build problem (Closes: #1064733).
  * Switched from debhelper compat level 9 to 10 to avoid deprication warning.
  * Updated to Standards-Version 4.6.2.
  * Added some metadata to d/patches/ files.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 06 Mar 2024 23:54:56 +0100

newlib (3.3.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix debian/compat
    Closes: #965746

 -- Andreas Tille <tille@debian.org>  Wed, 22 Dec 2021 08:36:11 +0100

newlib (3.3.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- John Scott <jscott@posteo.net>  Wed, 13 Oct 2021 20:13:10 -0400

newlib (3.3.0-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add newlib-source binary package to aid building for new targets.
    (Closes: #912271)

 -- John Scott <jscott@posteo.net>  Tue, 08 Jun 2021 17:17:43 -0400
