=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: newlib
 Section: devel
 Priority: optional
-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 10),
  texinfo,
  dpkg-dev (>= 1.16.0),
  autotools-dev,
@@ -12,7 +13,7 @@
  xz-utils,
  quilt,
  rename,
-Standards-Version: 4.2.0
+Standards-Version: 4.6.2
 Homepage: https://sourceware.org/newlib/
 Vcs-Git: https://salsa.debian.org/debian/newlib.git
 Vcs-Browser: https://salsa.debian.org/debian/newlib
@@ -56,3 +57,14 @@
  .
  This package contains the newlib library compiled for Cortex-A*,
  Cortex-R4/R5/R7 and Cortex-M0/M0+/M3/M4 targets.
+
+Package: newlib-source
+Architecture: all
+Section: libdevel
+Description: C library and math library for embedded systems (source)
+ Newlib is a C library and math library intended for use on embedded systems.
+ It is a conglomeration of several library parts, all under free software
+ licenses that make them easily usable on embedded products.
+ .
+ This package contains the upstream source code suitable for targeting
+ new platforms.
