=== debian/tests/control ===
Tests: build-examples
Restrictions:
    allow-stderr
Depends: @,
 gcc-arm-none-eabi,
 libstdc++-arm-none-eabi-newlib,
