## newlib 4.5.0.20241231

=== debian/changelog ===
newlib (4.5.0.20241231-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jan 2025 10:14:37 +0100
