=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  xz-utils,
  quilt,
  rename,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sourceware.org/newlib/
 Vcs-Git: https://salsa.debian.org/debian/newlib.git
 Vcs-Browser: https://salsa.debian.org/debian/newlib
