=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
+
+# Ensure reproducible and locale independent build.
+export LC_ALL=C
 
 TARGET := arm-none-eabi
 
@@ -64,13 +67,21 @@
 	$(CONFIGURE_COMMON_FLAGS)
 
 %:
-	dh $@ -B$(BUILD_DIR) --with autotools-dev --parallel
+	dh $@ -B$(BUILD_DIR) --without autoreconf
+
+debian/newlib-$(DEB_VERSION_UPSTREAM).tar.xz:
+	tar -acf $@ --exclude=debian --exclude-vcs --exclude='*.dh-orig' \
+		--sort=name \
+		--mtime="@$(SOURCE_DATE_EPOCH)" \
+		--owner=0 --group=0 --numeric-owner \
+		--mode=go=rX,u+rw,a-s \
+		`pwd`/../`basename $(TOP_DIR)`
 
 override_dh_clean:
 	dh_clean
-	rm -rf $(BUILD_DIR) $(BUILD_NANO_DIR) $(TMP_NANO_DIR)
+	rm -rf $(BUILD_DIR) $(BUILD_NANO_DIR) $(TMP_NANO_DIR) debian/newlib-*.tar.xz
 
-override_dh_auto_configure:
+override_dh_auto_configure: debian/newlib-$(DEB_VERSION_UPSTREAM).tar.xz
 	dh_auto_configure -B$(BUILD_DIR) -- $(CONFIGURE_FLAGS)
 	dh_auto_configure -B$(BUILD_NANO_DIR) -- $(CONFIGURE_FLAGS_NANO)
 
@@ -101,6 +112,6 @@
 override_dh_installdocs:
 	set -ex; \
 		cd $(BUILD_DIR)/$(TARGET)/newlib; \
-		make html-recursive; \
+		make html; \
 		cd -;
 	dh_installdocs
