## newlib 4.6.0.20260123

=== debian/changelog ===
newlib (4.6.0.20260123-2) unstable; urgency=medium

  * Just build the newlib-source package. Closes: #1128235.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Feb 2026 08:50:37 +0100

newlib (4.6.0.20260123-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Feb 2026 10:23:49 +0100
