=== debian/control ===
Source: newlib
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 texinfo,
 dpkg-dev (>= 1.16.0),
 autotools-dev,
 dejagnu,
 xz-utils,
 quilt,
 rename,
Standards-Version: 4.7.3
Homepage: https://sourceware.org/newlib/
Vcs-Git: https://salsa.debian.org/debian/newlib.git
Vcs-Browser: https://salsa.debian.org/debian/newlib

Package: newlib-source
Architecture: all
Section: libdevel
Description: C library and math library for embedded systems (source)
 Newlib is a C library and math library intended for use on embedded systems.
 It is a conglomeration of several library parts, all under free software
 licenses that make them easily usable on embedded products.
 .
 This package contains the upstream source code suitable for targeting
 new platforms.
