=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Ensure reproducible and locale independent build.
export LC_ALL=C

TOP_DIR := $(shell pwd)
TMP_DIR := debian/tmp
TMP_NANO_DIR := debian/tmp_nano

%:
	dh $@ -B$(BUILD_DIR) --without autoreconf

debian/newlib-$(DEB_VERSION_UPSTREAM).tar.xz:
	XZ_OPT=-9 \
	tar -acf $@ --exclude=debian --exclude-vcs --exclude='*.dh-orig' \
		--sort=name \
		--mtime="@$(SOURCE_DATE_EPOCH)" \
		--owner=0 --group=0 --numeric-owner \
		--mode=go=rX,u+rw,a-s \
		`pwd`/../`basename $(TOP_DIR)`

override_dh_clean:
	dh_clean
	rm -f debian/newlib-*.tar.xz

override_dh_auto_configure: debian/newlib-$(DEB_VERSION_UPSTREAM).tar.xz
	@echo Nothing to do

override_dh_auto_test:
	@echo Nothing to do

override_dh_auto_build:
	@echo Nothing to do

override_dh_auto_install:
	@echo Nothing to do

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
